summaryrefslogtreecommitdiff
path: root/sysui/desktop
diff options
context:
space:
mode:
authorRĂ¼diger Timm <rt@openoffice.org>2008-09-02 10:56:13 +0000
committerRĂ¼diger Timm <rt@openoffice.org>2008-09-02 10:56:13 +0000
commit0d1decd687c8bcb35f22358dfac019d84e1f41a3 (patch)
tree629a88bdd82af1cd8d87800c49c35614e799dd69 /sysui/desktop
parent1e4a8863b415ef709281ee58dbaa08ebc0638506 (diff)
INTEGRATION: CWS sysui30_DEV300 (1.1.2); FILE ADDED
2008/08/28 14:18:59 ihi 1.1.2.1: #i92874# 3-layer-office fix
Diffstat (limited to 'sysui/desktop')
-rw-r--r--sysui/desktop/solaris/postremove16
1 files changed, 16 insertions, 0 deletions
diff --git a/sysui/desktop/solaris/postremove b/sysui/desktop/solaris/postremove
new file mode 100644
index 0000000000..460c3f2fa1
--- /dev/null
+++ b/sysui/desktop/solaris/postremove
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# check whether /usr is writable
+tiptoe="${PKG_INSTALL_ROOT}/usr/_.$$"
+touch "$tiptoe" >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ exit 0
+fi
+rm -f "$tiptoe"
+
+# update shared mime database
+if [ -x /usr/bin/update-mime-database ]; then
+ update-mime-database ${PKG_INSTALL_ROOT}/usr/share/mime
+fi
+
+exit 0